For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddSipWhiteListItem
        • POSTDelSipWhiteListItem
        • POSTSetSipWhiteListItem
        • POSTGetSipWhiteList
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSip White List

SetSipWhiteListItem

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SetSipWhiteListItem
POST
/platform_api/SetSipWhiteListItem
$curl -X POST "https://api.voximplant.com/platform_api/SetSipWhiteListItem?sip_whitelist_id=12345&sip_whitelist_network=192.168.10.0%2F24&description=Office%20network%20subnet" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Edits the SIP white list.

Allowed roles: Owner, Admin, Developer.

Was this page helpful?
Previous

DelSipWhiteListItem

Next

GetSipWhiteList

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

sip_whitelist_idintegerRequired
The SIP white list item ID
sip_whitelist_networkstringRequired

The new network address in format A.B.C.D/L or A.B.C.D/a.b.c.d (example 192.168.1.5/16)

descriptionstringOptional
The network address description

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully